Bug 571471 - Review Request: fedora-remix-logos - Fedora Remix logos
Summary: Review Request: fedora-remix-logos - Fedora Remix logos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julian Aloofi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-08 15:57 UTC by Tom "spot" Callaway
Modified: 2010-03-25 22:40 UTC (History)
6 users (show)

Fixed In Version: fedora-remix-logos-1.0.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-25 22:26:27 UTC
julian.fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2010-03-08 15:57:25 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/fedora-remix-logos.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/fedora-remix-logos-1.0.0-1.fc14.src.rpm
Description: 
The fedora-remix-logos package contains image files which incorporate the
Fedora trademarks (the "Marks"). The Marks are trademarks or registered
trademarks of Red Hat, Inc. in the United States and other countries and
are used by permission.

This package and its content may be used and distributed under the Fedora
Trademark Guidelines, specifically, it is intended for use in a Fedora
Remix, not a Fedora Spin.

See the included COPYING file for full information on approved use, copying
and redistribution of this package and its contents.

(NOTE: This licensing has been cleared by Red Hat Legal)

Comment 1 Julian Aloofi 2010-03-22 12:35:49 UTC
Taking this, review coming soon.

Comment 2 Julian Aloofi 2010-03-22 15:44:58 UTC
$ rpmlint *
fedora-remix-logos.noarch: W: invalid-license Licensed only for approved usage, see COPYING for details.
fedora-remix-logos.src: W: invalid-license Licensed only for approved usage, see COPYING for details.
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

-I guess this is okay as this is the license fedora-logos uses as well.


MUST: The package does not yet exist in Fedora. The Review Request is not a
duplicate. OK
MUST: The spec file for the package is legible and macros are used
consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the 
Licensing Guidelines. OK
-I take it that this is the case.

MUST: The License field in the package spec file must match the actual license.
OK
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package
that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. N/A
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect
runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files
ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from
upstream, the packager should query upstream to include it. N/A
SHOULD: The package builds in mock.
- successfully builds in mock for fedora-rawhide-i386


NOTE: /usr/share/pixmaps is not exactly a place where I'd expect design guidelines. Maybe %doc would be a better place for Fedora_Remix_design_guidelines.png? Just my personal opinion, and definitely nothing that blocks an approval though.

APPROVED

Comment 3 Tom "spot" Callaway 2010-03-23 18:01:09 UTC
New Package CVS Request
=======================
Package Name: fedora-remix-logos
Short Description: Fedora Remix Logos
Owners: spot
Branches: F-11 F-12 F-13 devel
InitialCC:

Comment 4 Kevin Fenzi 2010-03-24 03:25:15 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-24 14:34:48 UTC
fedora-remix-logos-1.0.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fedora-remix-logos-1.0.0-2.fc11

Comment 6 Fedora Update System 2010-03-24 14:34:53 UTC
fedora-remix-logos-1.0.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fedora-remix-logos-1.0.0-2.fc12

Comment 7 Fedora Update System 2010-03-24 14:34:59 UTC
fedora-remix-logos-1.0.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-remix-logos-1.0.0-2.fc13

Comment 8 Fedora Update System 2010-03-25 22:26:22 UTC
fedora-remix-logos-1.0.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-03-25 22:36:41 UTC
fedora-remix-logos-1.0.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-25 22:40:40 UTC
fedora-remix-logos-1.0.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.